package be.iminds.ilabt.jfed.highlevel.jobs;

import be.iminds.ilabt.jfed.experiment.ExperimentPart;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.time.Duration;

/**
 * User: twalcari
 * Date: 1/14/2016
 * Time: 12:24
 */
public abstract class UpdateUntilReadyStateSlice<EP extends ExperimentPart> extends ExperimentPartStateSlice<EP> {

    protected final Duration checkReadyInterval;
    protected final Duration waitForReadyDelay;

    public UpdateUntilReadyStateSlice(@Nonnull Job<?> job,
                                      @Nonnull EP experimentPart,
                                      @Nullable Duration checkReadyInterval,
                                      @Nullable Duration waitForReadyDelay) {
        super(job, experimentPart);
        this.checkReadyInterval = checkReadyInterval;
        this.waitForReadyDelay = waitForReadyDelay;
    }
}
